@import "../../../style/index.scss";

.mark-list{
  grid-column-start: 1;
  grid-column-end: 3;
  padding: 20px;
  height: 370px;

  background-color: #ffffff;
  border-radius: 20px;

  &__input{
    padding: 5px;
    margin: 5px 0;
    
    border-radius: 5px 0 0 5px;
    border:1px solid $black;
  }

  &__input:hover,
  &__input:checked{
    border-color: $turquoise;
  }

  &__box-list{
    list-style-type: none;
  }

  &__title{
    font-size: 22px;
  }

  &__box{
    max-height: 300px;

    @include scroll;
  }

  &__item{
    line-height: 23px;
  }

  &__btn{
    position: relative;
    left: -1px;

    height: 32px;
    padding: 7px;

    border: 1px solid $black;
    border-radius: 0px 5px 5px 0;
  }

  &__btn:hover{
    border-color: $turquoise;
  }

  &__date{
    color: $turquoise;
  }

  &__mark{
    padding: 0 5px;
  
    font-weight: 500;
  }

  &__subject{
    margin-left: 5px;
  }
}